﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Preview;
using C1.Win.C1Preview;

namespace C1PrintDocument_NewPage
{
    public partial class Form1 : Form
    {
        RenderTable rt1 = new RenderTable();
        RenderTable rt2 = new RenderTable();
        RenderTable rt3 = new RenderTable();
        RenderTable rt4 = new RenderTable();       
        public Form1()
        {
            InitializeComponent();
        }
      

        private void Form1_Load(object sender, EventArgs e)
        {
            #region Generate
            //First table
            rt1.Style.GridLines.All = new C1.C1Preview.LineDef(Color.DarkGray);
            const int r1 = 3;
            const int c1 = 3;
            for (int row = 0; row < r1; ++row)
            {
                for (int col = 0; col < c1; ++col)
                {
                    C1.C1Preview.RenderText celltext = new C1.C1Preview.RenderText();
                    celltext.Text = string.Format("Cell ({0}, {1})", row, col);
                    rt1.Cells[row, col].RenderObject = celltext;
                }
            }
            c1PrintDocument1.Body.Children.Add(rt1);
            // Insert a page break after a RenderObject
            rt1.BreakAfter = BreakEnum.Page;

            //Second table
            rt2.Style.GridLines.All = new C1.C1Preview.LineDef(Color.DarkGray);
            const int r2 = 2;
            const int c2 = 2;
            for (int row = 0; row < r2; ++row)
            {
                for (int col = 0; col < c2; ++col)
                {
                    C1.C1Preview.RenderText celltext = new C1.C1Preview.RenderText();
                    celltext.Text = string.Format("Cell ({0}, {1})", row, col);
                    rt2.Cells[row, col].RenderObject = celltext;
                }
            }
            c1PrintDocument1.Body.Children.Add(rt2);
            c1PrintDocument1.Generate();
            c1PrintPreviewControl1.Document = c1PrintDocument1;
            #endregion
            #region StartDoc-EndDoc
            //c1PrintDocument1.AllowNonReflowableDocs = true;
            //c1PrintDocument1.StartDoc();
            ////First table
            //rt3.Style.GridLines.All = new C1.C1Preview.LineDef(Color.DarkGray);
            //const int r3 = 3;
            //const int c3 = 3;
            //for (int row = 0; row < r3; ++row)
            //{
            //    for (int col = 0; col < c3; ++col)
            //    {
            //        C1.C1Preview.RenderText celltext = new C1.C1Preview.RenderText();
            //        celltext.Text = string.Format("Cell ({0}, {1})", row, col);
            //        rt3.Cells[row, col].RenderObject = celltext;
            //    }
            //}
            //c1PrintDocument1.RenderBlock(rt3);
            //// Insert a new page by calling the NewPage method 
            //c1PrintDocument1.NewPage();

            ////Second table
            //rt4.Style.GridLines.All = new C1.C1Preview.LineDef(Color.DarkGray);
            //const int r4 = 2;
            //const int c4 = 2;
            //for (int row = 0; row < r4; ++row)
            //{
            //    for (int col = 0; col < c4; ++col)
            //    {
            //        C1.C1Preview.RenderText celltext = new C1.C1Preview.RenderText();
            //        celltext.Text = string.Format("Cell ({0}, {1})", row, col);
            //        rt4.Cells[row, col].RenderObject = celltext;
            //    }
            //}
            //c1PrintDocument1.RenderBlock(rt4);
            //c1PrintDocument1.EndDoc();
            //c1PrintPreviewControl1.Document = c1PrintDocument1;
            #endregion

        }

     
        
    }
}
